/* Opakowanie */
#ld-cookie{
    opacity: 0;
    transition: 2s ease-in opacity;
    display: none;}
.cookie.bar{
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: auto;}
.cookie.modal{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    flex-direction: column;
    justify-content: center;}
.cookie.bar,
.cookie.modal{
    z-index: 99999;
    color: var(--menu-color);
    background: var(--text-color-dark);}

/* Wspólne */
.title-consent p{
	font-size: 2.2rem;
	text-align: center;
}
/* Główne style */
.cookie-container{
    max-width: 1024px;
    margin: 0 auto;}
#ld-cookie p,
#ld-cookie li,
#ld-cookie label{
    color: var(--text-color-light);}
#ld-cookie ul{
    padding: 0.4rem 0 0 1rem;}
#ld-cookie li::marker{
    color: var(--menu-color);}
#ld-cookie .title-consent p{
    margin: 0.5rem 0;}
#cookie-banner,
#cookie-preferences{
    padding: 1rem;
    align-content: flex-end;}
#cookie-banner > p{
    text-align: center;}
#cookie-banner p{
    margin: 1rem 0;}
/* Główna informacja */
#cookie-banner .consent-content{
    padding: 0.5rem 0;}

/* Preferencje */
#cookie-preferences a{
    text-decoration: none;
    color: var(--color-1);}
#cookie-preferences a:hover{
    text-decoration: underline;
    color: var(--link-color-hover);}
#cookie-preferences{
    display: none;
    text-align: left;
    color: #404040;}
.user-consent{
    margin-bottom: 1rem;}
.consent-content{
    display: flex;
    display: -ms-flex;
    flex: 1;
    -ms-flex: 1;
    flex-direction: column;
    justify-content: center;}
#cookie-preferences .consent-content:nth-child(2){
    padding-top: 0.5rem;}
#cookie-preferences .consent-content:last-child{
    padding-bottom: 0.5rem;}
.consent-content .label{
    margin: 1rem 0;
    font-weight: 600;}
.user-choose-wrapp .label,
.user-choose-wrapp .consent-txt{
        flex: 1 1 100%;
}
.consent-content .consent-txt p{
    margin: 1rem 0;}
input[type="checkbox"] {
    accent-color: #404040;}
@media screen and (min-width: 1024px){
    .consent-content{
        flex-direction: row;}
    .consent-content .label{
        flex: 1 1 34%;}
    .consent-content .consent-txt{
        flex: 1 1 66%;}
}

/* Przyciski */
.btns-group{
    display: -ms-flexbox; 
    /* dla IE10-11 */ 
    display: flex; 
    -ms-flex: 1; 
    /* dla IE10-11 */ 
    flex: 1;
    gap: 1em;
    justify-content: center;
    padding: 1em;}
button.main-btn{
    position: relative;
    z-index: 0;
    height: 4em;
    border: 1px solid var(--text-color-dark);
    border-radius: 0;
    overflow: hidden;
    color: var(--text-color-dark);
    background-color: var(--link-color);}
button.main-btn:hover{
    cursor: pointer;}
button.main-btn::after{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transform: scaleY(0);
    transform-origin: bottom;
    transition: transform 0.5s ease;
    background-color: var(--link-color-hover);
    z-index: -1;}
button.main-btn:hover::after{
    transform: scaleY(1);
    transform-origin: bottom;}
a#consent-change:hover{
    cursor: pointer;}
